import { pinia } from '@/store'
import { createRouter, createWebHistory } from 'vue-router'
import { createRouterGuards } from './router.guards.js'
import { useSystemStore } from '@/store/modules/systemStore'
import { systemRoutes } from './router.system.js'
import { updateRouteByMenu  } from "./router.update.js"

const systemStore = useSystemStore(pinia)

const router = createRouter({
  history: createWebHistory(),
  routes: systemRoutes
});


export async function setupRouter(app) {
  await updateRouteByMenu(router, systemStore)
  app.use(router)
  // 创建路由守卫
  createRouterGuards(router, systemStore)
}

export default router;
